---
title: "Add company locations"
description: "Add company locations to the company location catalog."
doc_type: openapi
doc_category: openapi
doc_version: v20270301
source_url:
  html: 'https://developer.shopline.com/docs/admin-rest-api/product/catalog/add-company-locations'
  md: 'https://developer.shopline.com/docs/admin-rest-api/product/catalog/add-company-locations.md'
---
# Add company locations

Add company locations to the company location catalog.

- **Base URL:** `https://{handle}.myshopline.com/admin/openapi`
- **Required Scopes:** `read_products`
- **API Version:** v20270301
- **API Type:** Admin
- **API Protocol:** RESTful

## Endpoint

```http
PUT /company_location_catalog/:catalog_id/locations.json
```

## Base URL

* `https://{handle}.myshopline.com/admin/openapi`

  * `{handle}`: `handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` .

## Required Permissions

* `read_products`

## Request

### Path Parameters

* `catalog_id`

  string (required)

  The ID of the company location catalog.  
  Maximum length: 19

### Request Headers

* `Content-Type`

  string (required)

  The field must be set to the fixed value `application/json; charset=utf-8`.

* `Authorization`

  string (required)

   The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. 

### Request Body

* `company_location_ids`

  array<string>

  List of company location IDs. Duplicate and invalid IDs are filtered out, and the remaining valid IDs are appended to the existing company location IDs without rewriting.  
  Maximum size: 100  
  Maximum length per string：19

## Response

### Status Codes

* `200`

  For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).

* `401`

  

* `429`

  

### Response Headers

* `traceId`

  A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise.

### Response Body

#### 200

* `company_location_ids`

  array<string>

  List of added company location IDs.  
  Maximum size: 100  
  Maximum length per string：19


#### 401

* `errors`

  string

  Error message. 


#### 429

* `errors`

  string

  Error message. 


## OpenAPI Definition

```json
{
  "description": "Add company locations to the company location catalog.",
  "externalDocs": {
    "description": "Permission point used by the interface is `read_products` , For more information about the use of permission points, see",
    "url": "ec20/3cv5d7wpfgr6a8z5/xabczf5442284vkq?lang=en",
    "errorTableDescription": ""
  },
  "operationId": "blv7MPJI",
  "parameters": [
    {
      "name": "catalog_id",
      "in": "path",
      "description": "The ID of the company location catalog.  \nMaximum length: 19",
      "required": true,
      "style": "simple",
      "schema": {
        "name": "catalog_id",
        "description": "The ID of the company location catalog.  \nMaximum length: 19",
        "type": "string",
        "example": "6598087148213149672"
      },
      "example": "6598087148213149672",
      "examples": {
        "Add company locations": {
          "value": "6727643236200660224"
        }
      }
    },
    {
      "name": "Content-Type",
      "in": "header",
      "description": "The field must be set to the fixed value `application/json; charset=utf-8`.",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Content-Type",
        "type": "string",
        "example": "application/json; charset=utf-8"
      }
    },
    {
      "name": "Authorization",
      "in": "header",
      "description": " The access token for the API resource. Refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then pass the obtained token in the Bearer format. ",
      "required": true,
      "style": "string",
      "schema": {
        "name": "Authorization",
        "description": " The access token for the API. Please refer to [App authorization](https://developer.shopline.com/docs/apps/api-instructions-for-use/app-authorization.md?lang=en) to obtain the access token, and then put the obtained access token into the API request header in Bearer Token.",
        "type": "string",
        "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
      },
      "example": "Bearer eyJhbGciOiJIUzUxMiIsInR5cCI6IkpXVCJ9.eyJhcHBJZCI6MCwiYXBwS2V5IjoiNzU2ZjI1NWE2NjdlZTcwNTk1MzM0ZjVjYzk4NzU5MzBmN2E3NGZjMSIsImV4cCI6MTg3OTQ4MjA3NiwiaXNzIjoieXNvdWwiLCJzZWxsZXJJZCI6IjIwMDAyMzQ4ODAiLCJzdG9yZUlkIjoiMTY3MjM2OTcyOTYwNiIsInRpbWVzdGFtcCI6MTc4NDc4NzY3NjY2MSwidmVyc2lvbiI6IlYyIn0.3ZzbGAH4cLU1QR2VPEvMOQInUDvus-C4amkINSQIPuNVlXsFKj0sAt1c0KnUy9MWUOFV9cHlkf7J90r2y1FzpA"
    }
  ],
  "requestBody": {
    "content": {
      "application/json": {
        "schema": {
          "type": "object",
          "properties": {
            "company_location_ids": {
              "name": "company_location_ids",
              "description": "List of company location IDs. Duplicate and invalid IDs are filtered out, and the remaining valid IDs are appended to the existing company location IDs without rewriting.  \nMaximum size: 100  \nMaximum length per string：19",
              "type": "array",
              "items": {
                "name": "company_location_ids",
                "description": "List of company location IDs. Duplicate and invalid IDs are filtered out, and the remaining valid IDs are appended to the existing company location IDs without rewriting.  \nMaximum size: 100  \nMaximum length per string：19",
                "type": "string",
                "example": "6598085940706559169"
              },
              "example": [
                "6598085940706559169"
              ]
            }
          },
          "required": [
            "company_location_ids"
          ],
          "example": {
            "company_location_ids": [
              "6598085940706559169"
            ]
          }
        },
        "examples": {
          "Add company locations": {
            "description": "Add company locations",
            "value": {
              "company_location_ids": [
                "6598085940706559169"
              ]
            }
          }
        }
      }
    },
    "required": true
  },
  "responses": {
    "200": {
      "description": "For the complete list of codes and messages, see [Http status code](https://developer.shopline.com/docs/apps/api-instructions-for-use/http-status-code.md?lang=en).",
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "company_location_ids": {
                "name": "company_location_ids",
                "description": "List of added company location IDs.  \nMaximum size: 100  \nMaximum length per string：19",
                "type": "array",
                "items": {
                  "name": "company_location_ids",
                  "description": "List of added company location IDs.  \nMaximum size: 100  \nMaximum length per string：19",
                  "type": "string",
                  "example": "6598085940706559169"
                },
                "example": [
                  "6598085940706559169"
                ]
              }
            },
            "example": {
              "company_location_ids": [
                "6598085940706559169"
              ]
            }
          },
          "examples": {
            "Add company locations": {
              "description": "Add company locations",
              "value": {
                "company_location_ids": [
                  "6598085940706559169"
                ]
              }
            }
          }
        }
      }
    },
    "401": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    },
    "429": {
      "headers": {
        "traceId": {
          "description": "A globally unique identifier for the request. It is used to track the request flow throughout the system, allowing for easy location and debugging when issues arise."
        }
      },
      "content": {
        "application/json": {
          "schema": {
            "type": "object",
            "properties": {
              "errors": {
                "description": "Error message. ",
                "type": "string"
              }
            },
            "required": [
              "errors"
            ]
          }
        }
      }
    }
  },
  "security": [
    {
      "oauth2": []
    }
  ],
  "method": "put",
  "path": "/company_location_catalog/:catalog_id/locations.json",
  "servers": [
    {
      "url": "https://{handle}.myshopline.com/admin/openapi",
      "variables": {
        "handle": {
          "default": "openapiceshidianpu",
          "description": "`handle` : The store's unique identifier, which is the prefix of the store's domain name. For example, if a store's domain name is `open001.myshopline.com` , the store handle is `open001` ."
        }
      }
    }
  ],
  "info": {
    "title": "Add company locations",
    "version": "v20270301"
  },
  "authIndexes": [
    "read_products"
  ]
}
```